nameclt(1)

NAME
nameclt - Naming Service client

SYNOPSIS
nameclt [-ior <object-reference>] [-advanced] <operation>

DESCRIPTION
The nameclt command invokes operations on the Naming Service. The allowed operations are:

    list <context-name>
        lists contexts and objects bound in the context with the specified name.

    bind_new_context <context-name>
        binds name to a new context, and returns the stringified context IOR.

    remove_context <context-name>
        unbinds and destroys the named context, as long as it is empty.

    bind <object-name> <stringified-IOR>
        binds name to object.

    unbind <object-name>
        unbinds name and object.

    resolve <object-name>
        returns stringified IOR bound to specified name.

OPTIONS

-ior NameService-object-reference
    Use the given stringified IOR as the "root" context of the naming service. By default, nameclt uses the object reference returned by calling CORBA::ORB::resolve_initial_references("NameService").

-advanced
    Allow advanced operations. These are operations which should not normally need to be used. They may however be useful for testing the naming service and also for cleaning up in the event of a client messing up the namespace. The operations are:

    bind_context <context-name> <stringified-IOR>
        binds name to context.

    rebind <object-name> <stringified-IOR>
        binds name to object even if binding already exists.

    rebind_context <context-name> <stringified-IOR>
        binds name to context even if binding already exists.

    new_context
        returns stringified IOR for a new context.

    destroy
        destroys the naming context given with -ior flag.

SEE ALSO
omniNames(1)

AUTHOR
Tristan Richardson, ORL (Olivetti & Oracle Research Laboratory)